<?php

namespace Modules\User\Http\Resources\stock;

use App\Api\Resources\BaseCollection;

class UserStockLogCollection extends BaseCollection
{

    public function toArray($request): array
    {
        return [
            'data' => $this->collection->map(function ($log) {
                return new UserStockLogResource($log);
            }),
            'page' => $this->page(),
        ];

    }

}